@import 'variables.scss';

.container {
  height: calc(100vh - 110px);
  padding-top: 20px;
  padding-left: 20px;

  * {
    font-family: Roboto;
  }
}

.title {
  color: #292b2c;
  font-family: Roboto;
  font-size: 15px;
  font-weight: 900;
  line-height: 24px;
  margin-right: 46px;
}

/deep/ {
  .mat-form-field {
    .mat-form-field-wrapper {
      .mat-form-field-flex {
        background-color: $white;
      }
    }
  }

  .mat-form-field-label {
    transform: none !important;
    position: relative !important;
    top: 10px !important;
    left: 10px !important;
  }

  .mat-form-field-can-float.mat-form-field-should-float {
    .mat-form-field-label,
    .mat-form-field-empty.mat-form-field-label {
      display: none !important;
    }
  }

  .mat-form-field-underline {
    display: none;
  }

  .mat-form-field-infix {
    border: none;
    border-radius: 6px;
    width: 180px;
    height: 35px;
    padding: 10px !important;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.05);
  }
}

.top-page {
  display: flex;
  align-items: center;
  width: 100%;
  height: 56px;
  position: relative;

  &:before {
    content: '';
    display: block;
    width: calc(100% - 20px);
    height: 1px;
    background: rgba(0, 0, 0, 0.12);
    position: absolute;
    bottom: 0;
    left: 0;
  }

  .top-btn {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    position: absolute;
    top: 0;
    right: 20px;

    .btn-calculator {
      display: flex;
      align-items: center;
      justify-content: center;
      min-width: 104px;
      height: 35px;
      padding: 0;
      font-size: 15px;
      font-weight: bold;
      color: $white-text-color;
      border: none;
      border-radius: 3px;
      background: $primary-color;
      box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.05);
      cursor: pointer;

      ::ng-deep.mat-button-wrapper {
        line-height: 33px;
      }

      &.export {
        min-width: 134px;
        margin-right: 15px;
      }

      &[disabled] {
        background: $default-border-color;
        pointer-events: none;
      }
    }
  }

  .box-export {
    display: flex;
    align-items: center;
    margin-right: 20px;

    .export-icon {
      font-size: 24px;

      &.pdf-icon {
        color: $primary-color;
      }

      &.csv-icon {
        color: $primary-color;
      }
    }

    .title-export {
      display: block;
      font-size: 12px;
      font-weight: bold;
      color: $gray-darker;
      text-transform: uppercase;
    }

    .click-export {
      display: block;
      width: 20px;
      margin-left: 15px;
    }
  }

  ::ng-deep .cover-radio {
    display: inline-block;

    .text-radio {
      display: inline-block;
      padding-left: 20px;
      font-size: 14px;
      font-weight: bold;
      color: $gray-darker;
      text-transform: capitalize;
    }

    .mat-radio-button {
      padding-left: 23px;

      &.mat-accent {
        .mat-radio-container {
          width: 18px;
          height: 18px;
        }

        .mat-radio-outer-circle {
          width: 18px;
          height: 18px;
          border-color: $gray-disabled;
        }

        .mat-radio-inner-circle {
          width: 18px;
          height: 18px;
        }
      }

      .mat-radio-label-content {
        color: $gray-darker;
      }
    }
  }
}

// cover content
.cover-content {
  height: calc(100vh - 183px);

  // top content
  .top-content {
    width: 100%;
    min-width: 1084px;
    padding-top: 17px;
    position: relative;

    .line-top {
      width: calc(100% - 30px);
      height: 1px;
      background: rgba(0, 0, 0, 0.12);
      position: absolute;
      top: 0;
      left: 0;
    }

    .title-box {
      display: block;
      margin-bottom: 4px;
      font-size: 15px;
      font-weight: 500;
      color: #292b2c;
      text-transform: capitalize;
    }

    // cover top
    .cover-top {
      display: flex;
      align-items: center;
      margin-bottom: 12px;
    }

    // input here
    .input-here {
      display: inline-block;
      width: 303px;
      height: 35px;
      font-size: 12px;
      border-radius: 6px;
      background: $white-text-color;
      box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.05);
      position: relative;
    }

    .box-edit {
      width: calc(100% - 303px);

      .list-edit {
        display: flex;
        align-items: center;
        list-style-type: none;
        margin: 0;
        padding: 0;
        padding-left: 12px;
        padding-right: 20px;

        li {
          display: flex;
          align-items: center;
          justify-content: space-between;
          width: calc(17.37% - 5px);
          height: 35px;
          margin-right: 5px;
          background: $white-text-color;
          border-radius: 5px;
          box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.05);
          position: relative;

          &:nth-child(1) {
            .input-here {
              input {
                padding-left: 75px;
              }
            }
          }

          &:nth-child(2) {
            .input-here {
              input {
                padding-left: 90px;
              }
            }
          }

          &:nth-child(3) {
            width: calc(27.15% - 5px);

            .input-here {
              input {
                padding-left: 136px;
              }
            }
          }

          &:nth-child(4) {
            width: calc(22.87% - 5px);

            .input-here {
              input {
                padding-left: 91px;
              }
            }
          }

          &:nth-child(5) {
            width: calc(13.22% - 5px);
            margin-right: 0;

            .input-here {
              input {
                padding-left: 45px;
              }
            }
          }

          .name-input {
            display: block;
            font-size: 12px;
            font-weight: bold;
            color: $gray-darker;
            position: absolute;
            top: calc(50% - 9px);
            left: 6px;
            z-index: 1;
          }

          .input-here {
            width: 100%;
            height: 100%;
            margin: 0;
            box-shadow: none;
            background: transparent;

            &.show-unit {
              input {
                padding-right: 40px;

                &:hover {
                  padding-right: 38px;
                }

                &:focus {
                  padding-right: 38px;
                }
              }

              .txt-unit {
                display: block;
              }
            }

            &.is-invalid {
              input {
                border: 2px solid $red-color;
                padding: 0 4px;
              }
            }
          }

          input {
            width: 100%;
            height: 100%;
            padding: 0 6px;
            font-size: 12px;
            color: $gray-darker;
            border: none;
            outline: none;
            text-align: right;
            border-radius: 5px;

            &:hover {
              border: 2px solid $default-text-color;
              padding: 0 4px;
            }

            &:focus {
              border: 2px solid $primary-color;
              padding: 0 4px;
            }
          }

          .txt-unit {
            font-size: 12px;
            color: $gray-darker;
            position: absolute;
            top: calc(50% - 9px);
            right: 6px;
          }
        }
      }

      .cover-input {
        display: flex;
        align-items: center;
      }
    }

    .box-increment {
      width: 135px;
      margin-bottom: 15px;

      .name-list {
        display: block;
        margin-bottom: 4px;
        font-size: 15px;
        font-weight: 500;
        color: #292b2c;
        text-transform: capitalize;
      }

      ::ng-deep.mat-form-field {
        width: 100%;
        margin-top: 2px;
        background-color: #fff;

        .mat-form-field-wrapper {
          padding: 0;
        }

        .mat-select-value-text {
          display: block;
          text-align: right;
        }
      }
    }

    .box-range {
      padding-bottom: 19.5px;
      position: relative;

      .cover-top-title {
        display: flex;
        align-items: center;
        justify-content: space-between;
        width: 144px;
        margin-bottom: 7px;
        position: absolute;
        top: 0;
        left: 0;
        z-index: 10;

        .name-list {
          display: block;
          font-size: 15px;
          font-weight: 500;
          color: #292b2c;
          text-transform: capitalize;
        }

        ::ng-deep.mat-checkbox {
          height: 21px;

          .mat-checkbox-inner-container {
            width: 16px;
            height: 16px;
            bottom: 1px;
          }

          .mat-checkbox-label {
            color: $gray-darker;
          }

          .mat-checkbox-checked {
            &.mat-accent {
              .mat-checkbox-background {
                background: $white-text-color;
              }
            }

            .mat-checkbox-checkmark {
              fill: $primary-color;
            }
          }
        }

        ::ng-deep.mat-checkbox-checked {
          &.mat-accent {
            .mat-checkbox-background {
              background: $white-text-color;
            }
          }

          .mat-checkbox-checkmark {
            fill: $primary-color;
          }

          .mat-checkbox-checkmark-path {
            stroke: $primary-color !important;
          }
        }
      }

      .list-ranger {
        display: flex;
        align-items: center;
        list-style-type: none;
        padding: 0;
        margin: 5px 0 0;

        &:last-of-type {
          margin-bottom: 0;
        }

        > li {
          display: none;
          width: 145px;
          padding-top: 25px;
          margin-right: 12px;
          position: relative;

          .name-list {
            display: block;
            margin-bottom: 2px;
            font-size: 14px;
            font-weight: bold;
            color: $gray-darker;
            text-transform: capitalize;
          }

          .line-space {
            display: block;
            width: 4px;
            height: 1px;
            background: $grey-text-color;
            position: absolute;
            left: -10px;
            bottom: 15px;
          }

          &.box-start-range {
            display: block;
            margin-right: 14px;
          }

          &.box-remove-depth-btn {
            display: block;

            .click-add-range {
              padding-top: 0;
            }
          }

          &.wrapper-all {
            display: block;
            width: auto;
            margin-right: 0;

            .box-edit {
              width: 100%;
              position: relative;

              .list-edit {
                li {
                  margin-right: 12px;
                }
              }

              .click-remove {
                display: flex;
                align-items: center;
                justify-content: center;
                width: 20px;
                height: 20px;
                position: absolute;
                top: 10px;
                right: 0;
                z-index: 10;
              }
            }
          }
        }

        &.show-range {
          li {
            &.box-end-range,
            &.box-increment {
              display: block;
            }
          }
        }
      }

      .click-add-range {
        display: block;
        max-width: 135px;
        padding-top: 20px;
        font-size: 14px;
        font-weight: 500;
        color: $primary-color;
        text-transform: capitalize;
      }
    }

    .content-loading {
      display: block;
      width: 100%;
      height: calc(100vh - 266px);
      position: absolute;
      top: 0;
      left: 0;
    }

    .box-table {
      padding-top: 30px;
      position: relative;

      .line-top {
        width: calc(100% - 30px);
        height: 1px;
        background: rgba(0, 0, 0, 0.12);
        position: absolute;
        top: 0;
        left: 0;
      }
    }
  }

  // second content
  .second-content {
    width: 100%;
    min-width: 1080px;
    padding-right: 20px;

    .box-add {
      width: 100%;
      padding-bottom: 20px;
      position: relative;

      .list-add {
        width: 100%;
        margin: 0;
        padding: 0;
        list-style-type: none;

        li {
          width: 100%;
        }
      }

      .click-add {
        display: block;
        max-width: 100px;
        padding-top: 8px;
        font-size: 14px;
        font-weight: 500;
        color: $primary-color;
        text-transform: capitalize;
      }

      .line-top {
        width: 100%;
        height: 1px;
        background: rgba(0, 0, 0, 0.12);
        position: absolute;
        bottom: 0;
        left: 0;
      }
    }

    // box content
    .box-content {
      width: 100%;
      padding-top: 30px;
      position: relative;

      .line-top {
        width: 100%;
        height: 1px;
        background: rgba(0, 0, 0, 0.12);
        position: absolute;
        top: 0;
        left: 0;
      }
    }
  }
}

::ng-deep .option-right {
  padding: 0 30px;

  .mat-option-text {
    text-align: right;
  }
}
